package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.data.DataMemberConsumeConfigDTO;

public interface DataConfigApiService {
    /**
     * 会员消费配置
     * @Title: configMemberConsumeConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> configMemberConsume(DataMemberConsumeConfigDTO dto);

    ServiceResponse<DataMemberConsumeConfigDTO> getMemberConsumeConfigByEnterpriseId(Integer enterpriseId);
}
